import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { User } from '../models/user.model';
import { UserComponent } from '../user/user.component';
import { UserFormComponent } from '../user-form/user-form.component';

@Component({
  selector: 'app-users',
  templateUrl: './users.component.html',
  styleUrls: ['./users.component.sass'],
})
export class UsersComponent {

  title: string = "Список пользователей";
  user: User;

  users: User[] = [
    new User('Ben',20),
    new User('Pit',30),
    new User('John',40),
  ];

  name: string = "Ben";

  constructor() { 
    this.user =  new User('Ben',25);
  }

  onUserChanged($user: User) {
    this.user = $user;
    this.users.push($user);
  }

  deleteUser() {
    let user: User = this.users.pop();
  }

}
